Name:			pam_userpass
Version:	 	1.0.2
Release: 		%mkrel 10

%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	PAM module for USER/PASS-style protocols
License:	relaxed BSD and (L)GPL-compatible
Group:		Security
URL: 		http://www.openwall.com/pam
Source0:	ftp://ftp.openwall.com/pub/projects/pam/modules/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pam-devel

%description
pam_userpass is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing to verify
a username/password pair.  This module doesn't do any actual
authentication, -- other modules, such as pam_tcb, should be stacked
after it to provide the authentication.


%package -n %{libname}
Summary:	PAM module for USER/PASS-style protocols
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
pam_userpass is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing to verify
a username/password pair.  This module doesn't do any actual
authentication, -- other modules, such as pam_tcb, should be stacked
after it to provide the authentication.


%package -n %{develname}
Summary:	Libraries and header files for developing pam_userpass-aware applications
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	pam-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development libraries and header files required
for building pam_userpass-aware applications.


%prep
%setup -q
chmod 0644 LICENSE README

%build
CFLAGS="-Wall -fPIC %{optflags}" %make

%install
%makeinstall_std SECUREDIR=/%{_lib}/security LIBDIR=%{_libdir}
rm -f %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%doc LICENSE README
/%{_lib}/security/*so*
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/security/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-10.mga5
+ Revision: 744433
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-9.mga5
+ Revision: 683322
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-8.mga4
+ Revision: 508846
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-7.mga3
+ Revision: 362376
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1.0.2-6.mga3
+ Revision: 307495
- cleanup spec

* Wed Jan 12 2011 blino <blino> 1.0.2-6.mga1
+ Revision: 6852
- remove old ldconfig scriptlets
- imported package pam_userpass


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-5mdv2011.0
+ Revision: 607064
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-4mdv2010.1
+ Revision: 523551
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-3mdv2010.0
+ Revision: 426353
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-2mdv2009.0
+ Revision: 265322
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 09 2008 Vincent Danen <vdanen@mandriva.com> 1.0.2-1mdv2009.0
+ Revision: 205276
- change group to Development/Other
- import pam_userpass


